Subject: RE: [hackers-il] The Greate Language Shootout

From: Omer Musaev <[email-masked]>
Date: Mon, 28 Jan 2002 12:12:59 +0200

> -----Original Message-----
> From: Oleg Goldshmidt [mailto:[email-masked]]
> Sent: Monday, January 28, 2002 5:38 AM
> To: [email-masked]
> Subject: [hackers-il] The Greate Language Shootout [Was: 
> Permutations of
> a range of characters]
> 
> 
> 
> Shlomi and others who offered solutions for listing 
> character string permutations in different languages, and those who
> amused themselves following that thread, might find 
> 
> http://www.bagley.org/~doug/shootout/
> 
> interesting. I just found it catching up on comp.lang.lisp. My
> understanding is that the site is no longer actively maintained.
> 

I did not like the fact that C programs were compiled with GCC with
-O3 flag, while C++ programs were compiled with G++ with -O2 flag.
This can discriminate C++ without any language dependant reason.

> Check out the useful links list at the bottom. Perl lovers will
> find 
> 
> http://pleac.sourceforge.net/
> 
> amusing, I guess.

:)

> 
> -- 
> Oleg Goldshmidt | [email-masked] 
> If it aint't broken it hasn't got enough features yet.

-- 
Omer Mussaev
Software Developer
Mercury Interactive / Topaz Prism R&D
Application Team